<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Flickr API Client</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    
    <div id="app" class="master-detail">
        <gallery-list 
            class="master-detail__master"
            @item-selection="selectedItem = $event"></gallery-list>
        <gallery-image-detail 
            v-bind:photo="selectedItem"
            class="master-detail__detail"></gallery-image-detail>
    </div>
    <script src="https://unpkg.com/lodash@4.17.11/lodash.js"></script>
    <script src="https://unpkg.com/vue@2.6.10/dist/vue.js"></script>
    <script src="flickr-service.js"></script>
    <script src="gallery-list.js"></script>
    <script src="gallery-image-detail.js"></script>
    <script>
        const flickrService = new FlickrService();

        const vm = new Vue({
            el: '#app',
            data: {
                selectedItem: null
            },
            watch: {
                selectedItem: function() {
                    console.log(this.selectedItem);
                } 
            } 
        });
    </script>
</body>
</html>